// Fonction servant � d�terminer si ce que l'usager entre dans le champ est bien un nombre,
// si ce n'est pas un nombre, on enl�ve les caract�res non num�riques.
function verifierSiNombre(pInput,pValeur)
{
  // Si le champ est isNaN, on enl�ve les caract�res alpha
  if (isNaN($.trim(pValeur)))
    $(pInput).val(pValeur.replace(/\D/g,''));
}

// A function to format text to look like a phone number
function phoneFormat(input)
{
    // Strip all characters from the input except digits
    input = input.replace(/\D/g,'');

    // Trim the remaining input to ten characters, to preserve phone number format
    input = input.substring(0,10);

    // Based upon the length of the string, we add formatting as necessary
    var size = input.length;
    if(size == 0){
            input = input;
    }else if(size < 4){
            input = '('+input;
    }else if(size < 7){
            input = '('+input.substring(0,3)+') '+input.substring(3,6);
    }else{
            input = '('+input.substring(0,3)+') '+input.substring(3,6)+'-'+input.substring(6,10);
    }
    return input;
}

function autoLogOutApres24minutes()
{
	window.setTimeout("location=('php/auto-logout.php');",1440000);
	//window.setTimeout("location=('php/auto-logout.php');",1000);
}

function enableBtn() { document.getElementById('submitBtn').disabled = false; }
function disableBtn() { document.getElementById('submitBtn').disabled = true; }

function validateMyForm()
{
  $('#frmInscriptionISO').validator('validate');

  var validationError = false;
  var desiredUsername = $('input[name="login"]').val();
  $.ajax(
  {
    url: 'php/check-username.php',
    dataType: 'text',
    type: 'POST',
    data: 'username=' + desiredUsername,
    success: function(responseText)
    {
      if (responseText == 'taken')
      {
        validationError = true;
        $('#loginFormGroup').addClass('has-danger has-error');
        $('#warningUsernameTaken').show();
      }
      else
      {
        $('#frmInscriptionISO').submit();
      }
    }
  });
}

function validateEditAccountForm()
{
  $('#frmEditAccount').validator('validate');

  var validationError = false;
  var currentUsername = $.trim($('input[name="currentLogin"]').val());
  var desiredUsername = $.trim($('input[name="login"]').val());
  // Si l'usager veut changer son login
  // on vérifie si le login désiré est libre
  if (currentUsername != desiredUsername)
  {
    $.ajax(
    {
      url: 'php/check-username.php',
      dataType: 'text',
      type: 'POST',
      data: 'username=' + desiredUsername,
      success: function(responseText)
      {
        if (responseText == 'taken')
        {
          validationError = true;
          $('#loginFormGroup').addClass('has-danger has-error');
          $('#warningUsernameTaken').show();
        }
        else
        {
          $('#frmEditAccount').submit();
        }
      }
    });
  }
  else
  {
    $('#frmEditAccount').submit();
  }
}

$(document).ready(function()
{
  /*
  $('#frmEditAccount').on('submit', function(e)
  { //use on if jQuery 1.7+
    e.preventDefault();  //prevent form from submitting
    console.log('Valid form');

    var validationError = false;
    var currentUsername = $.trim($('input[name="currentLogin"]').val());
    var desiredUsername = $.trim($('input[name="login"]').val());
    // Si l'usager veut changer son login
    // on vérifie si le login désiré est libre
    if (currentUsername != desiredUsername)
    {
      $.ajax(
      {
        url: 'php/check-username.php',
        dataType: 'text',
        type: 'POST',
        data: 'username=' + desiredUsername,
        success: function(responseText)
        {
          console.log(responseText);
          if (responseText == 'taken')
          {
            validationError = true;
            $('#loginFormGroup').addClass('has-danger has-error');
            $('#warningUsernameTaken').show();
          }
          else
          {
            $('#frmEditAccount').submit();
          }
        }
      });
    }
  });
  */

  $('.inputNumber').on('keyup keydown keypress change focus blur', function(e)
  {
    verifierSiNombre(this, this.value);
  });

  // Form création de compte // Choix du niveau du formulaire
  // Pour écoles qui sont à la fois primaire et secondaire
  $('input[name="niveau"]').click(function()
  {
    if ($('#niveauPS').is(':checked'))
    {
      $('input[name="niveauForm"]').attr('required', 'required');
      $('#divChoixNiveauForm').stop('true','true').slideDown();

    }
    else
    {
      $('input[name="niveauForm"]').removeAttr('required', 'required');
      $('#divChoixNiveauForm').stop('true','true').slideUp();
    }
  });

  if ($('#frmEvalP').length)
  {
    // q3
    $('input[name="q3_1"]').click(function()
    {
      // Si 0 pt a question 3_1
      if ($('#q3_1_0pts').is(':checked'))
      {
        $('input[name="q3_2"][value="0"]').prop('checked', true);
        $('input[name="q3_2"]').prop('disabled', true);
      }
      else
      {
        $('input[name="q3_2"]').prop('disabled', false);
        $('input[name="q3_2"]').prop('checked', false);
      }
    });

    $('input[name="q7_1"]').click(function()
    {
      // Si 0 pt a question 7_1
      if ($('#q7_1_0pts').is(':checked'))
      {
        $('input[name="q7_2"][value="0"]').prop('checked', true);
        $('input[name="q7_2"]').prop('disabled', true);
      }
      else
      {
        $('input[name="q7_2"]').prop('disabled', false);
        $('input[name="q7_2"]').prop('checked', false);
      }
    });

    // q8 primaire initiatives
    $('input[name="q8"]').click(function()
    {
      if ($('#q84pts').is(':checked'))
        $('#divQ8initiatives').stop('true','true').slideDown();
      else
        $('#divQ8initiatives').stop('true','true').slideUp();
    });
  }

  if ($('#frmEvalS').length)
  {
    // q3
    $('input[name="q3_1"]').click(function()
    {
      // Si 0 pt a question 3_1
      if ($('#q3_1_0pts').is(':checked'))
      {
        $('input[name="q3_2"][value="0"]').prop('checked', true);
        $('input[name="q3_2"]').prop('disabled', true);
      }
      else
      {
        $('input[name="q3_2"]').prop('disabled', false);
        $('input[name="q3_2"]').prop('checked', false);
      }
    });

    $('input[name="q6_1"]').click(function()
    {
      // Si 0 pt a question 6_1
      if ($('#q6_1_0pts').is(':checked'))
      {
        $('input[name="q6_2"][value="0"]').prop('checked', true);
        $('input[name="q6_2"]').prop('disabled', true);

        $('input[name="q6_boni"]').prop('checked', false);
        $('input[name="q6_boni"]').prop('disabled', true);

        $('input[name="q6_programme"]').val('');
        $('input[name="q6_programme"]').prop('disabled', true);
      }
      else
      {
        $('input[name="q6_2"]').prop('disabled', false);

        $('input[name="q6_boni"]').prop('disabled', false);

        $('input[name="q6_programme"]').prop('disabled', false);
      }
    });
  }
}); // End document.ready